<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: updatepass.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Сменить пароль';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Переадресация для авторизированых-----//
if(!$user['id']){
header('Location: '.$HOME.'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Смена пароль</div>';

if(isset($_REQUEST['retpass'])) {

$np = strong($_POST['np']);

$hp = md5(md5(md5(strong($_POST['hp']))));

if(empty($hp) or empty($np)) {
echo '<div class="podmenu"><center><b>Введите старый и новый пароль!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($hp) < 3 or mb_strlen($np) < 3) {
echo '<div class="podmenu"><center><b>Введите старый и новый пароль от 3 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if (!preg_match('|^[a-z0-9\-]+$|i', $np)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в новом пароле!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if (!preg_match('|^[a-z0-9\-]+$|i', $hp)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в старом пароле!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_assoc(mysql_query("SELECT `pass` FROM `users` WHERE `id` = '".$user['id']."'"));
if($sql['pass'] != $hp) {
echo '<div class="podmenu"><center><b>Неверно введён старый пароль!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `users` SET `pass` = '".md5(md5(md5($np)))."' WHERE `id` = '".$user['id']."'");
header('Location: '.$HOME.'/login.php');
exit();
}

echo '<div class="podmenu">Поля для ввода обьязательны,максимум 25 и минимум 3 символа!</div>
<div class="podmenu"><form action="" method="POST">
*Старый пароль:<br /><input type="text" name="hp" maxlength="25" /><br />
*Новый пароль:<br /><input type="text" name="np" maxlength="25" /><br />
<input type="submit" name="retpass" value="Изменить" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>